edu.isi.pegasus.planner.catalog.transformation

## Class TestTransformationCatalog

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.TestTransformationCatalog

    public class TestTransformationCatalog
    extends java.lang.Object

A Test program that shows how to load a Replica Catalog, and query for entries sites. The configuration is picked from the Properties. The following properties need to be set

          pegasus.catalog.transformation       File|Database
          pegasus.catalog.transformation.file  path to the File Based Transformation Catalog if File is being used.

To use the Database Transformation catalog the database connection parameters can be specified by specifying the following properties

       pegasus.catalog.transformation.db.url
       pegasus.catalog.transformation.db.user
       pegasus.catalog.transformation.db.password

The sql schema’s for this catalog can be found at $PEGASUS_HOME/sql directory. The Pegasus Properties can be picked from property files at various locations. The priorities are explained below.

       - The default path for the properties file is $PEGASUS_HOME/etc/properties.
       - A properties file if found at ${user.home}/.pegasusrc has higher property.
       - Finally a user can specify the path to the properties file by specifying
         the JVM  property pegasus.user.properties . This has the higher priority.

Version:
  $Revision$
Author:
  Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`TestTransformationCatalog()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)` The main program.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestTransformationCatalog

    public TestTransformationCatalog()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

The main program.